import request from '@/utils/request'

// 查询设备转移信息列表
export function listInfo(query) {
  return request({
    url: '/dms/info/list',
    method: 'get',
    params: query
  })
}

// 查询设备转移信息详细
export function getInfo(transferInfoId) {
  return request({
    url: '/dms/info/' + transferInfoId,
    method: 'get'
  })
}

// 新增设备转移信息
export function addInfo(data) {
  return request({
    url: '/dms/info',
    method: 'post',
    data: data
  })
}

// 修改设备转移信息
export function updateInfo(data) {
  return request({
    url: '/dms/info',
    method: 'put',
    data: data
  })
}

// 删除设备转移信息
export function delInfo(transferInfoId) {
  return request({
    url: '/dms/info/' + transferInfoId,
    method: 'delete'
  })
}
// 查询设备台账信息详细
//因为重名 新建方法
export function getLedgerById(deviceId) {
  return request({
    url: '/dms/ledger/' + deviceId,
    method: 'get'
  })
}
